Package org.kie.internal.runtime

## Interface CommandBasedStatefulKnowledgeSession

- All Superinterfaces:
    `org.kie.api.runtime.CommandExecutor`, `org.kie.api.runtime.rule.EntryPoint`, `org.kie.api.runtime.KieRuntime`, `org.kie.api.event.KieRuntimeEventManager`, `org.kie.api.runtime.KieSession`, `org.kie.api.event.process.ProcessEventManager`, `org.kie.api.runtime.process.ProcessRuntime`, `org.kie.api.runtime.rule.RuleRuntime`, `org.kie.api.event.rule.RuleRuntimeEventManager`, `StatefulKnowledgeSession`, `org.kie.api.runtime.process.StatefulProcessSession`, `org.kie.api.runtime.rule.StatefulRuleSession`

      public interface CommandBasedStatefulKnowledgeSession
      extends StatefulKnowledgeSession

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.runtime.KieSession

      `org.kie.api.runtime.KieSession.AtomicAction`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.runtime.KieSession` | `getKieSession()` |
    `org.kie.api.runtime.ExecutableRunner` | `getRunner()` |

    - ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

      `execute`

    - ### Methods inherited from interface org.kie.api.runtime.rule.EntryPoint

      `delete, delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getObject, getObjects, getObjects, insert, retract, update, update`

    - ### Methods inherited from interface org.kie.api.runtime.KieRuntime

      `getCalendars, getChannels, getEnvironment, getGlobal, getGlobals, getKieBase, getSessionClock, getSessionConfiguration, registerChannel, setGlobal, unregisterChannel`

    - ### Methods inherited from interface org.kie.api.event.KieRuntimeEventManager

      `getLogger`

    - ### Methods inherited from interface org.kie.api.runtime.KieSession

      `destroy, dispose, getId, getIdentifier, getKieRuntime, submit`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventManager

      `addEventListener, getProcessEventListeners, removeEventListener`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime

      `abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessInstance`

    - ### Methods inherited from interface org.kie.api.runtime.rule.RuleRuntime

      `getAgenda, getEntryPoint, getEntryPoints, getQueryResults, halt, openLiveQuery`

    - ### Methods inherited from interface org.kie.api.event.rule.RuleRuntimeEventManager

      `addEventListener, addEventListener, getAgendaEventListeners, getRuleRuntimeEventListeners, removeEventListener, removeEventListener`

    - ### Methods inherited from interface org.kie.api.runtime.rule.StatefulRuleSession

      `fireAllRules, fireAllRules, fireAllRules, fireAllRules, fireUntilHalt, fireUntilHalt`

- - ### Method Detail

    - #### getRunner

          org.kie.api.runtime.ExecutableRunner getRunner()

    - #### getKieSession

          org.kie.api.runtime.KieSession getKieSession()